Bug 23573 - e2label does not work with the 2.4.0 kernel
Summary: e2label does not work with the 2.4.0 kernel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: e2fsprogs   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Florian La Roche
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-08 11:58 UTC by Alain D D Williams
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-16 07:47:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alain D D Williams 2001-01-08 11:58:08 UTC
The format of /proc/partitions has changed, so that instead of getting a
line like:
	   3     1      48163 hda1
you will find a line like:
	   3     1       4000 ide/host0/bus0/target0/lun0/part1
 and it doesn't like it. (The above 2 lines are from different machines,
but show the format change.)

The workaround is to change the entries in /etc/fstab.

Comment 1 Bill Nottingham 2001-01-08 23:20:19 UTC
You're using devfs. This makes a very large difference - without devfs,
the names are the same.

Comment 2 Florian La Roche 2001-05-16 07:47:11 UTC
Does it work with e2fsprogs-1.20-0.02 or higher from rawhide?
I have also uploaded that version to http://people.redhat.com/laroche/


Comment 3 Florian La Roche 2001-06-29 10:29:00 UTC
Should work with newer e2fsprogs tools, otherwise please open a new
bug-report.

Thanks,

Florian La Roche



Note You need to log in before you can comment on or make changes to this bug.